# Generated by Django 5.0.2 on 2024-02-21 13:35

import django.db.models.deletion
import nemo.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('nemo', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='workloaddocument',
            name='chart',
            field=models.OneToOneField(blank=True, help_text='The associated helm chart', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='document', to='nemo.workloaddocumentchart'),
        ),
        migrations.AlterField(
            model_name='workloaddocument',
            name='version',
            field=nemo.fields.SemVer2Field(db_index=True, help_text='A SemVer 2 version string', max_length=32, validators=[nemo.fields.SemVer2Field.validate_semver]),
        ),
        migrations.AlterField(
            model_name='workloaddocumentchart',
            name='version',
            field=nemo.fields.SemVer2Field(db_index=True, help_text='A SemVer 2 version string', max_length=32, validators=[nemo.fields.SemVer2Field.validate_semver]),
        ),
        migrations.AlterField(
            model_name='workloaddocumentchartdependency',
            name='version',
            field=nemo.fields.SemVer2Field(help_text='A SemVer 2 version string', max_length=32, validators=[nemo.fields.SemVer2Field.validate_semver]),
        ),
    ]
